(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     15377,        378]
NotebookOptionsPosition[     15013,        361]
NotebookOutlinePosition[     15359,        376]
CellTagsIndexPosition[     15316,        373]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{" ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"l1", ">", "n1"}], ",", 
        RowBox[{"l1", "=", " ", 
         RowBox[{"n1", "-", "1"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"m1", "<", 
         RowBox[{"-", "l1"}]}], ",", 
        RowBox[{"m1", "=", 
         RowBox[{"-", "l1"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"m1", ">", "l1"}], ",", 
        RowBox[{"m1", "=", "l1"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"n1", "<", "2"}], ",", " ", 
        RowBox[{"l1", "=", "0"}]}], "]"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"l2", ">", "n2"}], ",", 
        RowBox[{"l2", "=", " ", 
         RowBox[{"n2", "-", "1"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"m2", "<", 
         RowBox[{"-", "l2"}]}], ",", 
        RowBox[{"m2", "=", 
         RowBox[{"-", "l2"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"m2", ">", "l2"}], ",", 
        RowBox[{"m2", "=", "l2"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"n2", "<", "2"}], ",", " ", 
        RowBox[{"l2", "=", "0"}]}], "]"}], ";", "\[IndentingNewLine]", " ", 
      "\[IndentingNewLine]", 
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Evaluate", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "p", "]"}], 
               RowBox[{"Sin", "[", "t", "]"}]}], ",", 
              RowBox[{
               RowBox[{"Sin", "[", "p", "]"}], 
               RowBox[{"Sin", "[", "t", "]"}]}], ",", 
              RowBox[{"Cos", "[", "t", "]"}]}], " ", "}"}], "  ", 
            RowBox[{"10", "^", 
             RowBox[{"(", "35", ")"}]}], 
            RowBox[{
             RowBox[{"Abs", "[", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Sqrt", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"2", "/", "n1"}], ")"}], "^", "3"}], "  ", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n1", "-", "l1", "-", "1"}], ")"}], "!"}], "/", 
                   RowBox[{"(", 
                    RowBox[{"2", " ", "n1", " ", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n1", "+", "l1"}], ")"}], "!"}], ")"}], "^", 
                    "3"}]}], ")"}]}]}], "]"}], " ", 
                RowBox[{"Exp", "[", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"-", "1"}], ")"}], "/", "  ", "n1"}], " ", "]"}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"2", " ", 
                   RowBox[{"1", "/", "n1"}]}], ")"}], "^", "l1"}], " ", 
                RowBox[{"LaguerreL", "[", 
                 RowBox[{
                  RowBox[{"n1", "-", "l1", "-", "1"}], ",", 
                  RowBox[{
                   RowBox[{"2", " ", "l1"}], " ", "+", "1"}], " ", ",", " ", 
                  RowBox[{"2", " ", 
                   RowBox[{"1", "/", "n1"}]}]}], "]"}], 
                RowBox[{"SphericalHarmonicY", "[", 
                 RowBox[{"l1", ",", "m1", ",", "t", ",", "p"}], "]"}]}], 
               ")"}], "]"}], "^", "2"}]}], "+", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"(", "35", ")"}]}], 
            RowBox[{"Abs", "[", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Sqrt", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"2", "/", "n2"}], ")"}], "^", "3"}], "  ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"n2", "-", "l2", "-", "1"}], ")"}], "!"}], "/", 
                  RowBox[{"(", 
                   RowBox[{"2", " ", "n2", " ", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n2", "+", "l2"}], ")"}], "!"}], ")"}], "^", 
                    "3"}]}], ")"}]}]}], "]"}], " ", 
               RowBox[{"Exp", "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"-", "1"}], ")"}], "/", "  ", "n2"}], " ", "]"}], 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"2", " ", 
                  RowBox[{"1", "/", "n2"}]}], ")"}], "^", "l2"}], " ", 
               RowBox[{"LaguerreL", "[", 
                RowBox[{
                 RowBox[{"n2", "-", "l2", "-", "1"}], ",", 
                 RowBox[{
                  RowBox[{"2", " ", "l2"}], " ", "+", "1"}], " ", ",", " ", 
                 RowBox[{"2", " ", 
                  RowBox[{"1", "/", "n2"}]}]}], "]"}], 
               RowBox[{"SphericalHarmonicY", "[", 
                RowBox[{"l2", ",", "m2", ",", "t", ",", "p"}], "]"}]}], ")"}],
              "  ", "]"}]}]}], "]"}], "^", "2"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "Pi"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"p", ",", "0", ",", 
          RowBox[{"2", "Pi"}]}], "}"}], ",", " ", 
        RowBox[{"ColorFunction", "\[Rule]", " ", "Hue"}]}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"n1", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l1", ",", "0", ",", 
       RowBox[{"n1", "-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"m1", ",", 
       RowBox[{"-", "l1"}], ",", "l1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"n2", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l2", ",", "0", ",", 
       RowBox[{"n2", "-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"m2", ",", 
       RowBox[{"-", "l2"}], ",", "l2", ",", "1"}], "}"}]}], " ", "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"CreateWindow", "[", 
    RowBox[{
     RowBox[{"DocumentNotebook", "[", "%", "]"}], ",", " ", 
     RowBox[{"WindowTitle", "\[Rule]", " ", "\"\<Random Choice\>\""}], ",", 
     " ", 
     RowBox[{"WindowSize", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"500", ",", "600"}], "}"}]}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.519756405605*^9, 3.519756524949*^9}, {3.519756581422*^9,
    3.519756677388*^9}, {3.51975672019*^9, 3.5197569480369997`*^9}, {
   3.519757061367*^9, 3.519757149758*^9}, {3.519757196851*^9, 
   3.5197572401470003`*^9}, {3.519757302292*^9, 3.519757302684*^9}, {
   3.519758659207*^9, 3.519758675349*^9}, {3.519929177491*^9, 
   3.5199292996359997`*^9}, {3.519929406822*^9, 3.5199294194309998`*^9}, 
   3.519929498951*^9, 3.519929794683*^9, {3.5199440341268*^9, 
   3.5199440363358*^9}, {3.5236195815612*^9, 3.5236196511706*^9}, {
   3.5236215817054*^9, 3.523621699492*^9}, {3.5236218014364*^9, 
   3.5236218476742*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`l1$$ = 0, $CellContext`l2$$ = 
    0, $CellContext`m1$$ = Dynamic[-$CellContext`l1$$], $CellContext`m2$$ = 
    Dynamic[-$CellContext`l2$$], $CellContext`n1$$ = 1, $CellContext`n2$$ = 1,
     Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n1$$], {1, 2, 3}}, {
      Hold[$CellContext`l1$$], 0, 
      Dynamic[$CellContext`n1$$ - 1], 1}, {
      Hold[$CellContext`m1$$], 
      Dynamic[-$CellContext`l1$$], 
      Dynamic[$CellContext`l1$$], 1}, {
      Hold[$CellContext`n2$$], {1, 2, 3}}, {
      Hold[$CellContext`l2$$], 0, 
      Dynamic[$CellContext`n2$$ - 1], 1}, {
      Hold[$CellContext`m2$$], 
      Dynamic[-$CellContext`l2$$], 
      Dynamic[$CellContext`l2$$], 1}}, Typeset`size$$ = {360., {199., 203.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n1$29520$$ = 0, $CellContext`l1$29521$$ = 
    0, $CellContext`m1$29522$$ = 0, $CellContext`n2$29523$$ = 
    0, $CellContext`l2$29524$$ = 0, $CellContext`m2$29525$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`l1$$ = 0, $CellContext`l2$$ = 
        0, $CellContext`m1$$ = Dynamic[-$CellContext`l1$$], $CellContext`m2$$ = 
        Dynamic[-$CellContext`l2$$], $CellContext`n1$$ = 1, $CellContext`n2$$ = 
        1}, "ControllerVariables" :> {
        Hold[$CellContext`n1$$, $CellContext`n1$29520$$, 0], 
        Hold[$CellContext`l1$$, $CellContext`l1$29521$$, 0], 
        Hold[$CellContext`m1$$, $CellContext`m1$29522$$, 0], 
        Hold[$CellContext`n2$$, $CellContext`n2$29523$$, 0], 
        Hold[$CellContext`l2$$, $CellContext`l2$29524$$, 0], 
        Hold[$CellContext`m2$$, $CellContext`m2$29525$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[$CellContext`l1$$ > $CellContext`n1$$, $CellContext`l1$$ = \
$CellContext`n1$$ - 1]; 
       If[$CellContext`m1$$ < -$CellContext`l1$$, $CellContext`m1$$ = \
-$CellContext`l1$$]; 
       If[$CellContext`m1$$ > $CellContext`l1$$, $CellContext`m1$$ = \
$CellContext`l1$$]; If[$CellContext`n1$$ < 2, $CellContext`l1$$ = 0]; 
       If[$CellContext`l2$$ > $CellContext`n2$$, $CellContext`l2$$ = \
$CellContext`n2$$ - 1]; 
       If[$CellContext`m2$$ < -$CellContext`l2$$, $CellContext`m2$$ = \
-$CellContext`l2$$]; 
       If[$CellContext`m2$$ > $CellContext`l2$$, $CellContext`m2$$ = \
$CellContext`l2$$]; If[$CellContext`n2$$ < 2, $CellContext`l2$$ = 0]; 
       ParametricPlot3D[
        Evaluate[{
             Cos[$CellContext`p] Sin[$CellContext`t], Sin[$CellContext`p] 
              Sin[$CellContext`t], 
              Cos[$CellContext`t]} 10^35 
            Abs[Sqrt[(2/$CellContext`n1$$)^3 (
                  Factorial[$CellContext`n1$$ - $CellContext`l1$$ - 1]/(
                  2 $CellContext`n1$$ 
                  Factorial[$CellContext`n1$$ + $CellContext`l1$$]^3))] 
               Exp[(-1)/$CellContext`n1$$] (
                 2 (1/$CellContext`n1$$))^$CellContext`l1$$ 
               LaguerreL[$CellContext`n1$$ - $CellContext`l1$$ - 1, 
                 2 $CellContext`l1$$ + 1, 2 (1/$CellContext`n1$$)] 
               SphericalHarmonicY[$CellContext`l1$$, $CellContext`m1$$, \
$CellContext`t, $CellContext`p]]^2 + 
           10^35 Abs[
             Sqrt[(2/$CellContext`n2$$)^3 (
                 Factorial[$CellContext`n2$$ - $CellContext`l2$$ - 1]/(
                 2 $CellContext`n2$$ 
                 Factorial[$CellContext`n2$$ + $CellContext`l2$$]^3))] 
              Exp[(-1)/$CellContext`n2$$] (
                2 (1/$CellContext`n2$$))^$CellContext`l2$$ 
              LaguerreL[$CellContext`n2$$ - $CellContext`l2$$ - 1, 
                2 $CellContext`l2$$ + 1, 2 (1/$CellContext`n2$$)] 
              SphericalHarmonicY[$CellContext`l2$$, $CellContext`m2$$, \
$CellContext`t, $CellContext`p]]]^2, {$CellContext`t, 0, Pi}, {$CellContext`p,
           0, 2 Pi}, ColorFunction -> Hue]), 
      "Specifications" :> {{$CellContext`n1$$, {1, 2, 3}}, {$CellContext`l1$$,
          0, 
         Dynamic[$CellContext`n1$$ - 1], 1}, {$CellContext`m1$$, 
         Dynamic[-$CellContext`l1$$], 
         Dynamic[$CellContext`l1$$], 1}, {$CellContext`n2$$, {1, 2, 
         3}}, {$CellContext`l2$$, 0, 
         Dynamic[$CellContext`n2$$ - 1], 1}, {$CellContext`m2$$, 
         Dynamic[-$CellContext`l2$$], 
         Dynamic[$CellContext`l2$$], 1}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{409., {309., 314.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.519929424366*^9, 3.519929553722*^9, 3.519929802065*^9, 3.5236193327922*^9,
    3.5236194851610003`*^9, 3.5236196556954*^9, 3.5236216746626*^9, 
   3.5236217051898003`*^9, {3.5236218271026*^9, 3.5236218485634003`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"NotebookObject", "[", 
   PanelBox[GridBox[{
      {
       TooltipBox[
        ButtonBox[
         StyleBox[
          
          DynamicBox[FEPrivate`FrontEndResource[
           "FEBitmaps", "ManipulatePasteIcon"],
           ImageSizeCache->{13., {4., 9.}}],
          DynamicUpdating->True],
         Appearance->{Automatic, None},
         BaseStyle->{},
         ButtonFunction:>FrontEndExecute[{
            FrontEnd`SetSelectedNotebook[
             NotebookObject[
              FrontEndObject[
               LinkObject["64d_shm", 1, 1]], 84]]}],
         Evaluator->None,
         Method->"Queued"],
        DynamicBox[
         FEPrivate`FrontEndResource[
         "FEStrings", "NotebookObjectToTheFront"]]], 
       StyleBox["\<\"Random Choice\"\>",
        StripOnInput->False,
        FontColor->GrayLevel[0.5]]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}}],
    FrameMargins->{{4, 5}, {4, 4}}], "]"}],
  NotebookObject[
   FrontEndObject[
    LinkObject["64d_shm", 1, 1]], 84],
  Editable->False]], "Output",
 CellChangeTimes->{
  3.519929424366*^9, 3.519929553722*^9, 3.519929802065*^9, 3.5236193327922*^9,
    3.5236194851610003`*^9, 3.5236196556954*^9, 3.5236216746626*^9, 
   3.5236217051898003`*^9, {3.5236218271026*^9, 3.5236218512466*^9}}]
}, Open  ]]
},
WindowSize->{707, 724},
WindowMargins->{{Automatic, 150}, {Automatic, -63}},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 7547, 187, 512, "Input"],
Cell[8129, 211, 5462, 105, 640, "Output"],
Cell[13594, 318, 1403, 40, 48, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
